package performa.orm;


public class MessageTemplate extends BaseMessageTemplate
{
    private static final long serialVersionUID = 0L;
    
    // This constructor should not be called
    public MessageTemplate ()
    {
        // Do not add any code to this, always put it in initialiseNewObject
    }

    public int getDelayInMin() 
    {
        return (getDelayHrs() * 60) + getDelayMin();
    }

    @Override
    public Integer getVariance() 
    {
        return super.getVariance() != null ? super.getVariance() : 0;
    }

    @Override
    public Integer getDelayHrs() 
    {
        return super.getDelayHrs() != null ? super.getDelayHrs() : 0;
    }

    @Override
    public Integer getDelayMin() 
    {
        return super.getDelayMin() != null ? super.getDelayMin(): 0;
    }
}